Subject: bug#36849: 26.2; Misleading info in Gnus info about nndiary

From: Allen Li <[email-masked]>
Date: Fri, 2 Aug 2019 21:50:46 +0000

On Fri, Aug 2, 2019 at 5:38 PM Štěpán Němec <[email-masked]> wrote:
>
> On Mon, 29 Jul 2019 22:04:57 -0700
> Allen Li wrote:
>
> > The Gnus Info manual about nndiary says this:
> >
> > (info "(gnus)Sending or Not Sending")
> >
> >    • However, since ‘nndiary’ also has a ‘request-post’ method, you can
> >      also use ‘C-u a’ instead of ‘C-u m’ on a diary group and the
> >      message won’t actually be sent; just stored locally in the group.
> >      This comes in very handy for private appointments.
> >
> > This is misleading because the "a" key for nndiary defaults to composing
> > mail (I guess because nndiary is a mail backend).  This results in a
> > message that is sent, which would be undesirable for a new user who may
> > accidently mail something private.
> >
> > Instead, one must use the "S i" key to force composing a news post in
> > order to 'request-post' to the nndiary group.
>
> I don't use nndiary, but the way you describe this makes me wonder if it
> is a misunderstanding.
>
> Are you sure you tried 'C-u a' in the *Group* buffer? Note the
> instructions say _on_ (i.e., in the *Group* buffer with point on the
> group), not _in_ the diary group. IMO it should work as described. Also,
> there is not even a "S i" binding in the *Group* buffer, whereas there
> is one in the *Summary* buffer (i.e., when you enter the group), which
> reinforces my suspicion.

Yes, "C-u a" in the *Group* buffer is functionally equivalent to "a"
in the summary buffer.  It begins a mail message for all mail groups.

> --
> Štěpán